Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.poi.xwpf.usermodel
Enum VerticalAlign

    java.lang.Object
      java.lang.Enum<VerticalAlign>
          org.apache.poi.xwpf.usermodel.VerticalAlign

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<VerticalAlign>

    public enum VerticalAlign

extends java.lang.Enum<VerticalAlign>

Specifies possible values for the alignment of the contents of this run in relation to the default appearance of the run's text. This allows the text to be repositioned as subscript or superscript without altering the font size of the run properties.

Author:
  Gisella Bronzetti

Enum Constant Summary
`BASELINE` Specifies that the text in the parent run shall be located at the baseline and presented in the same size as surrounding text.
`SUBSCRIPT` Specifies that this text should be superscript.
`SUPERSCRIPT` Specifies that this text should be subscript.

Method Summary
`int` | `getValue()`
`static VerticalAlign` | `valueOf(int type)`
`static VerticalAlign` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static VerticalAlign[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BASELINE

    public static final VerticalAlign BASELINE

  Specifies that the text in the parent run shall be located at the baseline and presented in the same size as surrounding text.

### SUPERSCRIPT

    public static final VerticalAlign SUPERSCRIPT

  Specifies that this text should be subscript. This setting shall lower the text in this run below the baseline and change it to a smaller size, if a smaller size is available.

### SUBSCRIPT

    public static final VerticalAlign SUBSCRIPT

  Specifies that this text should be superscript. This setting shall raise the text in this run above the baseline and change it to a smaller size, if a smaller size is available.

Method Detail

### values

    public static VerticalAlign[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VerticalAlign c : VerticalAlign.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VerticalAlign valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

### valueOf

    public static VerticalAlign valueOf(int type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.